<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__a2d__m24_8h" kind="file" language="C++">
    <compoundname>wiced_bt_a2d_m24.h</compoundname>
    <briefdescription>
<para>MPEG-2, 4 AAC A2DP Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="21"><highlight class="comment">**<sp /><sp />Constants</highlight></codeline>
<codeline lineno="22"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="preprocessor">#define<sp />A2D_M24_INFO_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />8</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xF0<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="35"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_2LC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="36"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_4LC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x40<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_4LTP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x20<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="38"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_4S<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x10<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="46"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_MSK<sp /><sp /><sp /><sp />0xFFF0<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="47"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_8<sp /><sp /><sp /><sp /><sp /><sp />0x8000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_11<sp /><sp /><sp /><sp /><sp />0x4000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_12<sp /><sp /><sp /><sp /><sp />0x2000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="50"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_16<sp /><sp /><sp /><sp /><sp />0x1000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_22<sp /><sp /><sp /><sp /><sp />0x0800<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_24<sp /><sp /><sp /><sp /><sp />0x0400<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_32<sp /><sp /><sp /><sp /><sp />0x0200<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_44<sp /><sp /><sp /><sp /><sp />0x0100<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_48<sp /><sp /><sp /><sp /><sp />0x0080<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_64<sp /><sp /><sp /><sp /><sp />0x0040<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_88<sp /><sp /><sp /><sp /><sp />0x0020<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_96<sp /><sp /><sp /><sp /><sp />0x0010<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="preprocessor">#define<sp />A2D_M24_IE_CHNL_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0C<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="preprocessor">#define<sp />A2D_M24_IE_CHNL_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x08<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="preprocessor">#define<sp />A2D_M24_IE_CHNL_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />A2D_M24_IE_VBR_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />A2D_M24_IE_BITRATE3_MSK<sp /><sp /><sp /><sp /><sp />0x7F0000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />A2D_M24_IE_BITRATE45_MSK<sp /><sp /><sp /><sp />0x00FFFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />A2D_M24_IE_BITRATE_MSK<sp /><sp /><sp /><sp /><sp /><sp />0x7FFFFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="85"><highlight class="comment">**<sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="86"><highlight class="comment">*****************************************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal">{</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />obj_type;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp />samp_freq;<sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />chnl;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />vbr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp />bitrate;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="normal">}<sp />wiced_bt_a2d_m24_cie_t;</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="99"><highlight class="comment">**<sp /><sp />External<sp />Function<sp />Declarations</highlight></codeline>
<codeline lineno="100"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal">{</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal">wiced_bt_a2d_status_t<sp />wiced_bt_a2d_bld_m24info(uint8_t<sp />media_type,<sp />wiced_bt_a2d_m24_cie_t<sp />*p_ie,</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*p_result);</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal">wiced_bt_a2d_status_t<sp />wiced_bt_a2d_pars_m24info(wiced_bt_a2d_m24_cie_t<sp />*p_ie,<sp />uint8_t<sp />*p_info,</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />for_caps);</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="comment">/*<sp />@endcond*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">}</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" />
  </compounddef>
</doxygen>